# Visualization
TKV3d
V3d

# V3d_LayerMgr Class Reference

Class to manage layers
.

`#include <V3d_LayerMgr.hxx>`

## Public Member Functions

Standard_EXPORT | V3d_LayerMgr (const Handle(V3d_View)&aView)
const Handle_Visual3d_Layer & | Overlay () const
Handle_V3d_View | View () const
Standard_EXPORT void | ColorScaleDisplay ()
Standard_EXPORT void | ColorScaleErase ()
Standard_EXPORT Standard_Boolean | ColorScaleIsDisplayed () const
Standard_EXPORT Handle_Aspect_ColorScale | ColorScale () const
Standard_EXPORT void | Compute ()
| Recompute layer with objects .
Standard_EXPORT void | Resized ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT Standard_Boolean | Begin ()
| Begin layers recomputation .
virtual Standard_EXPORT void | Redraw ()
| Perform layers recomputation .
virtual Standard_EXPORT void | End ()
| End layers recomputation .

## Protected Attributes

V3d_ViewPointer | myView
Handle_Visual3d_Layer | myOverlay
Handle_V3d_ColorScale | myColorScale

## Constructor & Destructor Documentation

Standard_EXPORT V3d_LayerMgr::V3d_LayerMgr | ( | const Handle(V3d_View)& | aView | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Boolean V3d_LayerMgr::Begin | ( |  | ) | `[protected, virtual]`

Standard_EXPORT Handle_Aspect_ColorScale V3d_LayerMgr::ColorScale | ( |  | ) | const

Standard_EXPORT void V3d_LayerMgr::ColorScaleDisplay | ( |  | ) |

Standard_EXPORT void V3d_LayerMgr::ColorScaleErase | ( |  | ) |

Standard_EXPORT Standard_Boolean V3d_LayerMgr::ColorScaleIsDisplayed | ( |  | ) | const

Standard_EXPORT void V3d_LayerMgr::Compute | ( |  | ) |

virtual Standard_EXPORT void V3d_LayerMgr::End | ( |  | ) | `[protected, virtual]`

Standard_EXPORT const V3d_LayerMgr::Handle | ( | Standard_Type |  | ) | const

const Handle_Visual3d_Layer& V3d_LayerMgr::Overlay | ( |  | ) | const

virtual Standard_EXPORT void V3d_LayerMgr::Redraw | ( |  | ) | `[protected, virtual]`

Standard_EXPORT void V3d_LayerMgr::Resized | ( |  | ) |

Handle_V3d_View V3d_LayerMgr::View | ( |  | ) | const

## Field Documentation

Handle_V3d_ColorScale V3d_LayerMgr::myColorScale `[protected]`

Handle_Visual3d_Layer V3d_LayerMgr::myOverlay `[protected]`

V3d_ViewPointer V3d_LayerMgr::myView `[protected]`

The documentation for this class was generated from the following file:

- V3d_LayerMgr.hxx